#banner {
    width: 100%;
    overflow: hidden;
    position: relative;
}

#banner::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 389px;
    background: linear-gradient(0deg, rgba(255, 255, 255, 0.00) 0%, #FFF 100%);
    z-index: 1;
    pointer-events: none;
}

.banner_wrapper {
    max-height: 1080px;
    height: 100%;
    position: relative;
    width: 100%;
    aspect-ratio: 16/9;
    display: flex;
    align-items: center;
    justify-content: center;
}

.banner_title {
    will-change: transform, opacity;
    opacity: 0.99;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0;
}

.banner_title span {
    text-align: center;
    font-family: 'Colus';
    font-size: 64px;
    line-height: 110%;
    background: linear-gradient(180deg, #EED06C 0%, #D9B437 40.87%, #EED06C 57.21%, #D9B437 75%, #D9B437 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
    text-fill-color: transparent;
}

.banner_content {
    height: fit-content;
    padding: 157px 0 64px;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    z-index: 1;
    background: url(../assets/cloud.webp) top / cover no-repeat;
    position: absolute;
    max-width: 100%;
    transform: translate(-50%, 0);
    left: 50%;
    bottom: 0;
}

.banner_content::before {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 1300px;
    height: 428px;
    border-radius: 1300px;
    background: radial-gradient(50% 50% at 50% 50%, #FFF 0%, #ffffff00 100%), radial-gradient(50% 50% at 50% 50%, #FFF 0%, #ffffff00 100%);
    z-index: 1;
    pointer-events: none;
}

.banner_text {
    display: flex;
    flex-direction: column;
    gap: 16px;
    align-items: center;
    max-width: 832px;
    position: relative;
    z-index: 2;
}

.banner_after_title {
    text-align: center;
    color: #191919;
    text-align: center;
    font-size: 24px;
    line-height: 130%;
    max-width: 775px;
    will-change: transform, opacity;
    opacity: 0.99;
}

#banner.show .banner_title {
    animation: bumpUp 0.5s cubic-bezier(.29, 0.74, 1, 1) forwards
}

#banner.show .banner_after_title {
    animation: bumpUp 0.5s cubic-bezier(.29, 0.74, 1, 1) 0.5s forwards
}

.banner_video {
    z-index: -1;
    width: 100%;
}

.banner_orc {
    display: none;
}

.banner_buttons {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 24px;
    padding-top: 22px;
}

.banner_button_left,
.banner_button_right {
    width: 232px;
    display: flex;
    height: 55px;
    padding: 2px;
    justify-content: center;
    align-items: center;
    position: relative;
    border-radius: 100px;
    pointer-events: all;
    overflow: hidden;
}

.banner_button_left {
    background: linear-gradient(0deg, #BD9C49 0%, #E6B843 63.5%, #EECE7F 100%);
}

.banner_button_right {
    background: linear-gradient(0deg, #CFCFCF 0%, #EFEFEF 100%);
}

.banner_inbutton_left,
.banner_inbutton_right {
    width: 100%;
    display: flex;
    text-align: center;
    font-family: 'HelveticaNeue-Medium';
    font-size: 16px;
    line-height: 130%;
    border-radius: 100px;
    z-index: 2;
    cursor: pointer;
    height: 100%;
    align-items: center;
    justify-content: center;
}

.banner_inbutton_left {
    background: linear-gradient(180deg, #BD9C49 0%, #E6B843 63.5%, #EECE7F 100%);
    text-shadow: 0 0 12px #B28E33;
}

.banner_inbutton_right {
    background: linear-gradient(180deg, #CFCFCF 0%, #EFEFEF 100%);
}

.banner_inbutton_left::before,
.banner_inbutton_right::before {
    content: '';
    pointer-events: none;
    position: absolute;
    top: 2px;
    left: 2px;
    width: calc(100% - 4px);
    height: calc(100% - 4px);
    border-radius: 52px;
    opacity: 0;
    transition: all 0.3s ease;
    z-index: -1;
}

.banner_inbutton_left::before {
    background: linear-gradient(0deg, #BD9C49 0%, #E6B843 63.5%, #EECE7F 100%);
}

.banner_inbutton_right::before {
    background: linear-gradient(0deg, #CFCFCF 0%, #EFEFEF 100%);
}

.banner_inbutton_left::after,
.banner_inbutton_right::after {
    content: '';
    position: absolute;
    inset: 0;
    background: url(../assets/left.webp) left center / 69px 100% no-repeat, url(../assets/right.webp) right center / 69px 100% no-repeat;
    opacity: 0.5;
    z-index: -1;
    pointer-events: none;
}

.banner_inbutton_left:hover::before {
    opacity: 1;
}

.banner_inbutton_right:hover::before {
    opacity: 1;
}

@media (min-width: 2000px) {
    .banner_content {
        padding: 265px 0 64px;
    }

    .banner_content::before {
        top: 65%;
    }
}

@media (min-width: 2600px) {
    .banner_content {
        padding: 450px 0 90px;
    }

    .banner_wrapper {
        max-height: 1500px;
    }
}


@media (max-width: 1600px) {
    .banner_title {
        font-size: 54px;
        line-height: 110%;
    }

    .banner_after_title {
        font-size: 20px;
        line-height: 130%;
    }
}

@media (max-width: 1400px) {
    .banner_content::before {
        top: auto;
        transform: translate(-50%, 0);
        height: 196px;
        bottom: 20px;
    }

    .banner_title span {
        font-size: 32px;
        line-height: 110%;
    }

    .banner_text {
        gap: 8px;
    }

    .banner_after_title {
        font-size: 16px;
        line-height: 130%;
    }
}

@media (max-width: 950px) {
    .banner_wrapper {
        height: 100dvh;
        aspect-ratio: 4 / 5;
    }

    .banner_video {
        min-height: 100%;
        min-width: 100%;
        object-fit: cover;
    }

    .banner_content {
        padding: 157px 0 34px;
    }
}

@media (max-width: 520px) {
    .banner_buttons {
        flex-direction: column;
        width: 100%;
        gap: 8px;
    }

    .banner_button_left,
    .banner_button_right {
        width: 100%;
    }

    .banner_content::before {
        height: 345px;
    }
}